import React from 'react'
import moment from 'moment'

const Dashboard = props => {
  const { block, blocks } = props
  return (
    <div className="d-flex flex-column">
      <div>
        <h3>latest block</h3>
        <h2>{block}</h2>
      </div>

      <div>
        <h3>previous blocks</h3>
        <div>
          {blocks.map(b => (
            <div>
              {moment(b.timestamp).format('DD/MM/YYYY HH:mm:ss')}:{' '}
              {b.number.toNumber()}
            </div>
          ))}
        </div>
      </div>

      <div>
        <h3>nominators</h3>
        <div>
          {nominators.map(n => (
            <div>{n}</div>
          ))}
        </div>
      </div>

      <div>
        <h3>validators</h3>
        <div>
          {validators.map(v => (
            <div>{v}</div>
          ))}
        </div>
      </div>
    </div>
  )
}

export default Dashboard
